10     DIM Adapter$[9],Buff$[9]
20     INTEGER Scode,Result
30     CLEAR SCREEN
40     IF SYSTEM$("SYSTEM ID")="HP4294A" THEN 
50       ASSIGN @Hp4294a TO 800
60       Scode=8
70     ELSE
80       ASSIGN @Hp4294a TO 717
90       Scode=7
100    END IF
110    Adapter$="APC7"
120    !
130    OUTPUT @Hp4294a;"PRES"
140    OUTPUT @Hp4294a;"*OPC?"
150    ENTER @Hp4294a;Buff$
160    OUTPUT @Hp4294a;"E4TP "&Adapter$
170    !
180    OUTPUT @Hp4294a;"ESNB 256"
190    OUTPUT @Hp4294a;"*SRE 4"
200    !
210    Result=FNAdap_setup(@Hp4294a,Scode,"Phase")
220    IF Result<>0 THEN Prog_end
230    !
240    Result=FNAdap_setup(@Hp4294a,Scode,"Open")
250    IF Result<>0 THEN Prog_end
260    !
270    Result=FNAdap_setup(@Hp4294a,Scode,"Short")
280    IF Result<>0 THEN Prog_end
290    !
300    Result=FNAdap_setup(@Hp4294a,Scode,"Load")
310    IF Result<>0 THEN Prog_end
320    !
330    OUTPUT @Hp4294a;"ECALDON"
340    OUTPUT @Hp4294a;"*OPC?"
350    ENTER @Hp4294a;Buff$
360    PRINT "All Data Measurement Complete"
370    !
380 Prog_end: END
390    !
400    ! Adapter Setup Data Measurement Function
410    !
420  DEF FNAdap_setup(@Hp4294a,INTEGER Scode,Standard$)
430    DIM Inp_char$[9],Err_mes$[50]
440    INTEGER Err_no
450    OUTPUT @Hp4294a;"*CLS"
460    PRINT "Set "&Standard$&"-Connection"
470    INPUT "OK? [Y/N]",Inp_char$
480    IF UPC$(Inp_char$)="Y" THEN 
490      ON INTR Scode GOTO Meas_end
500      ENABLE INTR Scode;2
510      SELECT Standard$
520        CASE "Phase"
530          OUTPUT @Hp4294a;"ECALP"
540        CASE "Open"
550          OUTPUT @Hp4294a;"ECALA"
560        CASE "Short"
570          OUTPUT @Hp4294a;"ECALB"
580        CASE "Load"
590          OUTPUT @Hp4294a;"ECALC"
600      END SELECT
610      PRINT "Now measuring..."
620 Meas_wait:  GOTO Meas_wait
630 Meas_end:  !
640      OUTPUT @Hp4294a;"OUTPERRO?"
650      ENTER @Hp4294a;Err_no,Err_mes$
660      IF Err_no=0 THEN 
670        PRINT Standard$&" Data Measurement Complete"
680        RETURN 0
690      ELSE
700        PRINT "Error: "&Err_mes$
710        PRINT "Program Interruption"
720        OUTPUT @Hp4294a;"ECALQUI"
730        RETURN -1
740      END IF
750    ELSE
760      PRINT "Program Interruption"
770      OUTPUT @Hp4294a;"ECALQUI"
780      RETURN -1
790    END IF
800  FNEND
5000   !*************************************************
5010   !* DESCRIPTION:  Agilent 4294A Sample Program
5020   !*
5030   !* AUTHOR:       Agilent Technologies Japan, Ltd.
5040   !* CREATED:      4/26/1999
5050   !* PROGRAM NAME: adapter.bas
5060   !* REVISION:     A.01.00
5070   !*
5080   !*    Copyright (c) 1999 Agilent Technologies,
5090   !*             All rights reserved.
5100   !*
5110   !*
5120   !*  Customer shall have the personal, non-
5130   !* transferable rights to use, copy or modify
5140   !* this SAMPLE PROGRAM for Customer's internal
5150   !* operations. Customer shall use the SAMPLE
5160   !* PROGRAM solely and exclusively for its own
5170   !* purpose and shall not license, lease, market
5180   !* or distribute the SAMPLE PROGRAM or
5190   !* modification or any part thereof.
5200   !*
5210   !*  Agilent Technologies shall not be liable for
5220   !* the quality, performance or behavior of the
5230   !* SAMPLE PROGRAM. Agilent Technologies especially
5240   !* disclaims that the operation of the SAMPLE
5250   !* PROGRAM shall be uninterrupted or error free.
5260   !* This SAMPLE PROGRAM is provided AS IS.
5270   !*
5280   !*  AGILENT TECHNOLOGIES DISCLAIMS THE IMPLIED
5290   !* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
5300   !* A PARTICULAR PURPOSE.
5310   !*
5320   !*  Agilent Technologies shall not be liable for
5330   !* any infringement of any patent, trademark,
5340   !* copyright or other proprietary rights by the
5350   !* SAMPLE PROGRAM or its use. Agilent Technologies
5360   !* does not warrant that the SAMPLE PROGRAM is
5370   !* free from infringements or such rights of third
5380   !* parties. However, Agilent Technologies will not
5390   !* knowingly infringe or deliver a software that
5400   !* infringes the patent, trademark, copyright or
5410   !* other proprietary right of a third party.
5420   !*
5430   !*************************************************
