10     DIM Adapter$[9],Buff$[9],File$[20],Std_file$[20],Cal_point$[9],Size$[9]
20     DIM Com_o(1:100,1:2),Com_s(1:100,1:2),Com_l(1:100,1:2)
30     REAL Open_g,Open_c,Short_r,Short_l,Load_r,Load_l
40     INTEGER Result,Scode
50     CLEAR SCREEN
60     IF SYSTEM$("SYSTEM ID")="HP4294A" THEN 
70       ASSIGN @Hp4294a TO 800
80       ASSIGN @Binary TO 800;FORMAT OFF
90       MASS STORAGE IS ":INTERNAL1,5"
100      Scode=8
110    ELSE
120      ASSIGN @Hp4294a TO 717
130      ASSIGN @Binary TO 717;FORMAT OFF
140      Scode=7
150    END IF
160    Cal_point$="FIXED"
170    File$="COM_DATA"
180    Std_file$="STD_VAL"
190    !
200    ! Initial Setting
210    !
220    OUTPUT @Hp4294a;"PRES"
230    OUTPUT @Hp4294a;"*OPC?"
240    ENTER @Hp4294a;Buff$
250    OUTPUT @Hp4294a;"CALP ";Cal_point$
260    !
270    ! Entry Standard Value
280    !
290    CALL Inp_data("Open(G)",Open_g)
300    CALL Inp_data("Open(C)",Open_c)
310    CALL Inp_data("Short(R)",Short_r)
320    CALL Inp_data("Short(L)",Short_l)
330    CALL Inp_data("Load(R)",Load_r)
340    CALL Inp_data("Load(L)",Load_l)
350    OUTPUT @Hp4294a;"DCOMOPENG ";Open_g
360    OUTPUT @Hp4294a;"DCOMOPENC ";Open_c/1.E-15
370    OUTPUT @Hp4294a;"DCOMSHORR ";Short_r
380    OUTPUT @Hp4294a;"DCOMSHORL ";Short_l
390    OUTPUT @Hp4294a;"DCOMLOADR ";Load_r
400    OUTPUT @Hp4294a;"DCOMLOADL ";Load_l
410    !
420    ! Data Measurement
430    !
440    OUTPUT @Hp4294a;"ESNB 256"
450    OUTPUT @Hp4294a;"*SRE 4"
460    !
470    Result=FNFixt_comp(@Hp4294a,Scode,"Open")
480    IF Result<>0 THEN Prog_end
490    !
500    Result=FNFixt_comp(@Hp4294a,Scode,"Short")
510    IF Result<>0 THEN Prog_end
520    !
530    Result=FNFixt_comp(@Hp4294a,Scode,"Load")
540    IF Result<>0 THEN Prog_end
550    !
560    ! Data Reading
570    !
580    OUTPUT @Hp4294a;"FORM3"
590    !
600    OUTPUT @Hp4294a;"OUTPCOMC1?"
610    ENTER @Hp4294a USING "#,2A";Buff$
620    ENTER @Hp4294a USING "#,6A";Size$
630    ENTER @Binary;Com_o(*)
640    ENTER @Hp4294a USING "#,1A";Buff$
650    !
660    OUTPUT @Hp4294a;"OUTPCOMC2?"
670    ENTER @Hp4294a USING "#,8A";Buff$
680    ENTER @Binary;Com_s(*)
690    ENTER @Hp4294a USING "#,1A";Buff$
700    !
710    OUTPUT @Hp4294a;"OUTPCOMC3?"
720    ENTER @Hp4294a USING "#,8A";Buff$
730    ENTER @Binary;Com_l(*)
740    ENTER @Hp4294a USING "#,1A";Buff$
750    !
760    ! Data Saving
770    !
780    Data_size=VAL(Size$)*3
790    ON ERROR GOTO Skip_purge1
800    PURGE File$
810 Skip_purge1: OFF ERROR 
820    PRINT "Compensation Data Save file: "&File$
830    CREATE File$,Data_size
840    ASSIGN @File TO File$;FORMAT OFF
850    OUTPUT @File;Com_o(*),Com_s(*),Com_l(*)
860    ASSIGN @File TO *
870    !
880    ON ERROR GOTO Skip_purge2
890    PURGE Std_file$
900 Skip_purge2: OFF ERROR 
910    PRINT "Standard Value Save file: "&Std_file$
920    CREATE Std_file$,48
930    ASSIGN @File TO Std_file$;FORMAT OFF
940    OUTPUT @File;Open_g,Open_c,Short_r,Short_l,Load_r,Load_l
950    ASSIGN @File TO *
960    !
970    PRINT "All Data Measurement Complete"
980 Prog_end: END
990    !
1000   ! Fixture Compensation Data Measurement Function
1010   !
1020 DEF FNFixt_comp(@Hp4294a,INTEGER Scode,Standard$)
1030   DIM Inp_char$[9],Err_mes$[50]
1040   INTEGER Err_no
1050   OUTPUT @Hp4294a;"*CLS"
1060   PRINT "Set "&Standard$&"-Connection"
1070   INPUT "OK? [Y/N]",Inp_char$
1080   IF UPC$(Inp_char$)="Y" THEN 
1090     ON INTR Scode GOTO Meas_end
1100     ENABLE INTR Scode;2
1110     SELECT Standard$
1120       CASE "Open"
1130         OUTPUT @Hp4294a;"COMA"
1140       CASE "Short"
1150         OUTPUT @Hp4294a;"COMB"
1160       CASE "Load"
1170         OUTPUT @Hp4294a;"COMC"
1180     END SELECT
1190     PRINT "Now measuring..."
1200 Meas_wait: GOTO Meas_wait
1210 Meas_end: !
1220     PRINT Standard$&" Data Measurement Complete"
1230     RETURN 0
1240   ELSE
1250     PRINT "Program Interruption"
1260     RETURN -1
1270   END IF
1280 FNEND
1290   !
1300   ! Data Input Function
1310   !
1320 SUB Inp_data(Mes$,Inp_val)
1330   DIM Inp_char$[30]
1340   ON ERROR GOTO Inp_start
1350 Inp_start:!
1360   PRINT "Input "&Mes$
1370   INPUT "Value?",Inp_char$
1380   Inp_val=VAL(UPC$(Inp_char$))
1390   PRINT "Input value: ";Inp_val
1400   INPUT "OK? [Y/N]",Inp_char$
1410   IF UPC$(Inp_char$)<>"Y" THEN Inp_start
1420   OFF ERROR 
1430 SUBEND
5000   !*************************************************
5010   !* DESCRIPTION:  Agilent 4294A Sample Program
5020   !*
5030   !* AUTHOR:       Agilent Technologies Japan, Ltd.
5040   !* CREATED:      6/1/1999
5050   !* PROGRAM NAME: com_meas.bas
5060   !* REVISION:     A.02.00
5070   !*
5080   !*    Copyright (c) 1999 Agilent Technologies,
5090   !*             All rights reserved.
5100   !*
5110   !*
5120   !*  Customer shall have the personal, non-
5130   !* transferable rights to use, copy or modify
5140   !* this SAMPLE PROGRAM for Customer's internal
5150   !* operations. Customer shall use the SAMPLE
5160   !* PROGRAM solely and exclusively for its own
5170   !* purpose and shall not license, lease, market
5180   !* or distribute the SAMPLE PROGRAM or
5190   !* modification or any part thereof.
5200   !*
5210   !*  Agilent Technologies shall not be liable for
5220   !* the quality, performance or behavior of the
5230   !* SAMPLE PROGRAM. Agilent Technologies especially
5240   !* disclaims that the operation of the SAMPLE
5250   !* PROGRAM shall be uninterrupted or error free.
5260   !* This SAMPLE PROGRAM is provided AS IS.
5270   !*
5280   !*  AGILENT TECHNOLOGIES DISCLAIMS THE IMPLIED
5290   !* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
5300   !* A PARTICULAR PURPOSE.
5310   !*
5320   !*  Agilent Technologies shall not be liable for
5330   !* any infringement of any patent, trademark,
5340   !* copyright or other proprietary rights by the
5350   !* SAMPLE PROGRAM or its use. Agilent Technologies
5360   !* does not warrant that the SAMPLE PROGRAM is
5370   !* free from infringements or such rights of third
5380   !* parties. However, Agilent Technologies will not
5390   !* knowingly infringe or deliver a software that
5400   !* infringes the patent, trademark, copyright or
5410   !* other proprietary right of a third party.
5420   !*
5430   !*************************************************
